<div class="ap-news-container">
  <a routerLink="/admin/employees" class="back-button">
    <img class="back-img" src="assets/icons/arrow-icon.svg">
    <p class="back-text">Назад</p>
  </a>
  <div class="image-box">
    <img src="{{(employee$ | async)?.image}}" alt="">
    <img (click)="openEditImageBox()" class="image-box-icon" src="assets/icons/refresh-icon.svg" alt="">
  </div>

  <form *ngIf="isOpenBox" style="padding-bottom: 10px;" class="form-container">
    <div class="form__group field">
      <input
        (change)="changePhoto($event)"
        type="file" class="form__field"
        placeholder="Фотография"
        name="image"
        id='image'/>
      <label for="image" class="form__label">Фотография</label>
        <div
          class="form-error"
          *ngIf="error$ | async"
          >
          Файл не должен быть больше 5 MB!
        </div>
    </div>
  </form>


  <form
    style="padding-bottom: 10px;"
    [formGroup]="employeeForm"
    (ngSubmit)="editEmployee()"
    class="form-container"
  >
    <div class="form__group field">
      <input
        formControlName="username"
        type="text"
        class="form__field"
        placeholder="Имя сотрудника"
        name="username"
        id='username'/>
      <label for="username" class="form__label">Имя сотрудника</label>
    </div>
    <div class="form__group field">
      <input
        formControlName="email"
        type="text" class="form__field"
        placeholder="Email сотрудника"
        name="email"
        id='email'/>
      <label for="email" class="form__label">Email сотрудника</label>
    </div>
    <div class="form__group field">
      <input
        formControlName="position"
        type="text" class="form__field"
        placeholder="Позиция сотрудника"
        name="position"
        id='position'/>
      <label for="position" class="form__label">Позиция сотрудника</label>
    </div>
    <div class="form__group field">
      <quill-editor
        formControlName="bio"
        id='bio'
        class="editor"
        placeholder="Биография"
      ></quill-editor>
      <label for="bio" class="form__label editor-label">Биография</label>
    </div>
    <div class="form__group field form-bottom">
      <button [disabled]="employeeForm.invalid" class="btn">Обновить</button>
    </div>
  </form>
</div>
